%{!?version:%define version 7.0.14}
%{!?release:%define release 3}

%define vdt virtuozzo-devel-tools
%define distro_substitute vzlinux
%define pretty_name OpenVZ release %{version}
%define pretty_fullname %{pretty_name} (%{release})
%define preset_services %(grep '^enable\\|disable' %{SOURCE55} | sed "s,.* ,,g" | tr '\\n' ' ')
%define mask_services wpa_supplicant.service
%define osrelease /etc/os-release

Summary:	OpenVZ release files
Name:		openvz-release
Version:        %{version}
Release:        %{release}%{?dist}
License:	GPL
Group:		System Environment/Base
Source1:	%{vdt}.sh
Source10:	RPM-GPG-KEY-Virtuozzo-7
Source22:	NOTICE
Source30:	disp_helper.json
Source40:	virtuozzo-excludes
Source50:	openvz.repo
# TODO: Remove Source53 installation in public releases
Source53:	factory.repo
Source54:	obsoleted_tmpls.repo
Source55:	01-virtuozzo.preset
Source56:	99-virtuozzo.conf
Source57:	openvz.py
Source58:	openvz.conf
Source59:	update-post
Source60:	ntpdate.logrotate
Source61:	ntpdate.cron
Source62:	ebtables.filter
Source63:	do-upgrade-vz7
Source64:	vz-iptables-config.py
Source65:	ovz-cert.crt
Source66:	show-eula.py
Source67:	85-vz-nm-unmanaged.rules
Source82:	remove-all-inconsistent-bitmaps.py
Source83:	blacklist-balloons.conf
ExclusiveArch:	x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	system-release, yum-plugin-priorities, kernel-tools, wget
Requires:	python-subprocess32 python-netaddr
# For remove-all-inconsistent-bitmaps.py
Requires:	python36
Provides:	disp-helper-config

%description
OpenVZ release meta package

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/vz
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
%{__mkdir} -p $RPM_BUILD_ROOT/usr/
%{__mkdir} -p $RPM_BUILD_ROOT/vz/tmp
%{__mkdir} -p $RPM_BUILD_ROOT/lib/sysctl.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_libexecdir}

install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE30} $RPM_BUILD_ROOT/%{_sysconfdir}/vz
install -m 644 %{SOURCE40} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/virtuozzo-excludes
install -m 644 %{SOURCE50} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/openvz.repo
install -m 644 %{SOURCE53} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/factory.repo
install -m 644 %{SOURCE54} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/obsoleted_tmpls.repo
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/%{vdt}
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system-preset
install -m 644 %{SOURCE55} $RPM_BUILD_ROOT/lib/systemd/system-preset/01-virtuozzo.preset
install -m 644 %{SOURCE56} $RPM_BUILD_ROOT/lib/sysctl.d/99-virtuozzo.conf
mkdir -p $RPM_BUILD_ROOT/usr/lib/yum-plugins
install -m 644 %{SOURCE57} $RPM_BUILD_ROOT/usr/lib/yum-plugins/openvz.py
mkdir -p $RPM_BUILD_ROOT/etc/yum/pluginconf.d
install -m 644 %{SOURCE58} $RPM_BUILD_ROOT/etc/yum/pluginconf.d/openvz.conf
install -m 755 %{SOURCE59} $RPM_BUILD_ROOT/%{_libexecdir}/update-post
install -m 644 %{SOURCE60} $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/ntpdate
install -m 755 %{SOURCE61} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly
install -m 600 %{SOURCE62} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/ebtables.filter
install -m 755 %{SOURCE63} $RPM_BUILD_ROOT/%{_bindir}/do-upgrade-vz7
install -m 755 %{SOURCE64} $RPM_BUILD_ROOT/%{_libexecdir}/vz-iptables-config.py
install -m 755 %{SOURCE66} $RPM_BUILD_ROOT/%{_libexecdir}/show-eula.py
install -m 644 %{SOURCE67} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d
install -Dm 755 %{SOURCE82} %{buildroot}/%{_sbindir}/remove-all-inconsistent-bitmaps
install -m 644 %{SOURCE83} $RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d/blacklist-balloons.conf

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/disp-helper
install -m 644 %{SOURCE65} $RPM_BUILD_ROOT/%{_datadir}/disp-helper/ovz-cert.crt

ln -s openvz-release $RPM_BUILD_ROOT/%{_sysconfdir}/parallels-release
ln -s openvz-release $RPM_BUILD_ROOT/%{_sysconfdir}/virtuozzo-release

%post
# Only on first installation
if [ $1 -eq 1 ]; then
    # Proceed preset services
    for service in %{preset_services}; do
        systemctl preset $service > /dev/null 2>&1
    done
    for service in %{mask_services}; do
        systemctl mask $service > /dev/null 2>&1
    done
fi
:

%posttrans
[ ! -f %{_sysconfdir}/openvz-release ] && echo "%{pretty_fullname}" > %{_sysconfdir}/openvz-release 2>/dev/null
sed -i 's/^SELINUX=.*/SELINUX=disabled/g' /etc/selinux/config > /dev/null 2>&1
:

%triggerin -- subscription-manager
conffile="/etc/yum/pluginconf.d/subscription-manager.conf"
if [ -f $conffile ]; then
	sed -i -e "s,^enabled=1,enabled=0,g" $conffile > /dev/null 2>&1
fi
:

%triggerpostun -- qemu-kvm-vz == 10:2.12.0-33.vz7.14
/usr/sbin/remove-all-inconsistent-bitmaps > /dev/null 2>&1
:

%triggerin -- %{distro_substitute}-release
# Substitution for based OS
[ -f /etc/system-release ] && rm -f /etc/system-release
ln -s openvz-release /etc/system-release
if [ -f /etc/openvz-release ]; then
	buildver=`cat /etc/openvz-release | sed -e "s,^.*(,,g" -e "s,)$,,g"`
else
	buildver=%{release}
fi
if [ -f %{osrelease} ]; then
	cat <<EOF > %{osrelease}
NAME="Virtuozzo"
VERSION="%{version}"
ID="virtuozzo"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="%{pretty_name}"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:virtuozzoproject:vz:7"
HOME_URL="http://www.virtuozzo.com"
BUG_REPORT_URL="https://bugs.openvz.org/"
EOF
fi
:

%triggerin -- yum
# Add excludes to yum
if ! grep -q 'include=/etc/yum/virtuozzo-excludes' /etc/yum.conf 2>/dev/null; then
    echo 'include=/etc/yum/virtuozzo-excludes' >> /etc/yum.conf
fi
:

%triggerin -- virtuozzo-release
# If OpenVZ -> VZ update is performed by means of do-upgrade-vz script,
# then this log is created automatically; but let's unsure it is created
# even if upgrade goes in some other way. In any case, we should install
# virtuozzo-release package
upgrade_log=/var/log/do-upgrade-vz7.log
if [ ! -f $upgrade_log ]; then
	echo "Switched to virtuozzo-release on `date`" > $upgrade_log
fi
:

%triggerin -- NetworkManager
sed -e "s,^ExecStart=/usr/bin/nm-online -s -q ,ExecStart=/usr/bin/nm-online -q ,g" -i /lib/systemd/system/NetworkManager-wait-online.service > /dev/null 2>&1
:

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{vdt}
%attr(644,root,root) /lib/systemd/system-preset/01-virtuozzo.preset
%attr(644,root,root) /lib/sysctl.d/99-virtuozzo.conf
%ghost %attr(644,root,root) %{_sysconfdir}/openvz-release
%attr(644,root,root) %{_sysconfdir}/virtuozzo-release
%attr(644,root,root) %{_sysconfdir}/parallels-release
%attr(644,root,root) %{_sysconfdir}/pki/rpm-gpg/*
%attr(644,root,root) %config %{_sysconfdir}/vz/*
%attr(644,root,root) %config %{_sysconfdir}/yum/virtuozzo-excludes
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/openvz.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/factory.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/obsoleted_tmpls.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum/pluginconf.d/openvz.conf
%attr(644,root,root) %{_sysconfdir}/logrotate.d/*
%attr(755,root,root) %{_sysconfdir}/cron.weekly/*
%attr(644,root,root) %{_sysconfdir}/modprobe.d/*
%attr(644,root,root) /usr/lib/yum-plugins/*
%dir %attr(0700,root,root) /vz/tmp
%attr(755,root,root) %{_libexecdir}/update-post
%attr(755,root,root) %{_libexecdir}/vz-iptables-config.py*
%attr(755,root,root) %{_libexecdir}/show-eula.py*
%doc %{_datadir}/licenses/%{name}/NOTICE
%attr(600,root,root) %{_sysconfdir}/sysconfig/ebtables.filter
%attr(755,root,root) %{_bindir}/do-upgrade-vz7
%attr(644,root,root) %{_datadir}/disp-helper/ovz-cert.crt
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/85-vz-nm-unmanaged.rules
%attr(755,root,root) %{_sbindir}/remove-all-inconsistent-bitmaps

%changelog
* Wed Feb 26 2020 Konstantin Vlasov <kvlasov@virtuozzo.com> 7.0.14-1
- Switched to 7.0.14, see #PSBM-101779

* Tue Feb  4 2020 Konstantin Vlasov <kvlasov@virtuozzo.com> 7.0.13-6
- Added blacklist for balloon drivers, #PSBM-100812

* Wed Dec 18 2019 Denis Silakov <dsilakov@virtuozzo.com> 7.0.13-3
- Added script to drop inconsistent bitmaps, see #PSBM-100453
- Do not downgrade release file version, see #VSTOR-28197

* Tue Nov  5 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.13-1
- Switched to 7.0.13, see #PSBM-99207

* Mon Jul  1 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.12-1
- Switched to 7.0.12, see #PSBM-95857

* Tue Apr  2 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11-1
- Switched to 7.0.11

* Wed Mar 27 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-4
- Wait for network connectivity, not interface, see #PSBM-91528

* Mon Mar 11 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-3
- Disable Selinux, see #PSBM-92428

* Wed Jan 23 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-2
- Setup skipping vme and veth devices in NetworkManager using udev rules, see #PSBM-91146

* Wed Jan  9 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-1
- Skip vme and veth devices in NetworkManager, see #PSBM-89891
- Switched to 7.0.10

* Mon Aug 13 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9-2
- Correct distro tag checkout

* Tue Jul 24 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9-1
- 7.0.9, see #PSBM-86847

* Tue Jun  5 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.8-3
- Check for installed release package version before update release file,
  see #PSBM-83581

* Sat Apr 14 2018 Denis Silakov <dsilakov@virtuozzo.com> 7.0.8-2
- Adjust NOTICE file, see #PSBM-83478

* Mon Mar  5 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.8-1
- 7.0.8

* Tue Nov 14 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.7-1
- 7.0.7

* Mon Oct 16 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.6-4
- Set priority for vz debuginfo repos, see #PSBM-75234

* Thu Oct 12 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.6-3
- Set priority for vzlinux-factory repo to override EPEL, if any

* Tue Sep  5 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.6-2
- Added vzlinux factory repos

* Thu Jul 20 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.6-1
- 7.0.6

* Fri May 26 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.5-2
- Improve EULA screen for "do-upgrade-vz7" utility, see #PSBM-63875

* Wed Apr 26 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.5-1
- Initial 7.0.5 build

* Wed Apr 19 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-17
- Force deletion of firewall.core.io.direct object, see #PSBM-64802

* Tue Apr 18 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-16
- Updated parent holding name

* Mon Apr 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-15
- Harden /vz/tmp permissions, see #PSBM-51934

* Thu Apr 13 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-14
- Add INPUT_direct rules for venet0 with prio 10, see #PSBM-63302

* Wed Apr 12 2017 Alexander Burluka <aburluka@virtuozzo.com> 7.0.4-13
- Add parameter to disp_helper.json, see #PSBM-58499

* Wed Apr 12 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-12
- Drop close hook at all, see #PP-388

* Wed Apr 12 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-11
- Rework yum plugin close hook, see #PP-388

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-10
- Disable smartd and atd services by default (#PSBM-57514)

* Thu Apr  6 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-9
- Open firewall ports for preferred VNC (#PSBM-63279)

* Tue Apr 04 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.4-8
- Add an option to accept Virtuozzo EULA to do-upgrade-vz7 script
- Ask to accept Virtuozzo EULA if do-upgrade-vz7 is run without --accept-eula

* Tue Mar 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-7
- Fix disp-helper URL, install OpenVZ cert (#PSBM-62659)

* Fri Mar 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-6
- Add rules to enable forwarding (#PSBM-60693), move rule setting
  to a separate script launched on fresh install only
  
* Thu Mar 9 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-5
- Enable vz-guest-tools-updater (#PSBM-17703)

* Tue Feb 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-4
- Added vz-motd.timer to preset, see #PSBM-58295

* Tue Feb 14 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Added disp-helper config, see #PSBM-60101

* Fri Feb 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-2
- Create indicator file in case of OVZ -> VZ upgrade (#PSBM-60103)

* Wed Dec 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- Switch to 7.0.4

* Wed Dec 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.3-3
- Disable factory repo

* Tue Dec 20 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.3-2
- Fixed pretty name, see #PSBM-54081 #PSBM-54399

* Fri Dec  9 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.3-1
- Bump version
- do-upgrade-vz7: either provide license or skip its installation (#PSBM-57061)

* Fri Oct  7 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-56
- Save do-upgrade-vz7 output to file

* Thu Sep  1 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-55
- Added obsoleted templates repo, see #PSBM-51529

* Mon Jul 25 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-54
- Mask wpa_supplicant.service, see #PSBM-49708

* Tue Jul 12 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-53
- Revert 51 patch

* Fri Jul  8 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-52
- Disable sendmail and wpa_supplicant services, see #PSBM-49301

* Tue Jul  5 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-50
- Fix upgrade to Virtuozzo from repo.virtuozzo.com (#PSBM-49342)

* Wed Jun 29 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-49
- Enabled factory repo

* Wed Jun 29 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-48
- Disabled factory repo

* Thu Jun 09 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-47
- Increase default priority for factory repo

* Wed Jun 01 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-46
- Fix rpm invocation in do-upgrade-vz7

* Fri May 27 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-45
- Removed comm systemd units from preset

* Thu May 26 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-44
- Added do-upgrade-vz7 script for updating OpenVZ to Virtuozzo (#PSBM-46878)

* Wed May 25 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-43
- Added separate yum plugin

* Tue May 24 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-42
- Disable systemd-readahead-collect, systemd-readahead-drop and
  systemd-readahead-replay services in preset, see #PSBM-47060

* Sat May 21 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-39
- Split openvz-release out of virtuozzo-release

* Thu Apr 28 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-38
- Enable BUSE mount unit #PSBM-46657

* Tue Apr 26 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-37
- Enable snmpd.service by default, see #PSBM-46520

* Fri Apr 22 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-35
- Force related services to be enabled/disabled: for case when
  them installed before virtuozzo-release

* Thu Apr 21 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-34
- Added ntpdate service and cronjob, see #PSBM-46462

* Wed Apr 20 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-33
- Increase maximum available version to X.99.9999 (99999999)

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-32
- Added vzlicmon.service to default system preset, see #PSBM-46272

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-31
- Added pdrs and shaman to system preset

* Fri Apr  8 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-30
- Detect installroot from yum

* Wed Mar 30 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-29
- Ignore /etc/yum.conf, present in livecd-created 2nd stage, see #PSBM-45612

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-28
- Add eol to release in yum plugin, see #PSBM-45479
- Enable pfcached.service by default, see #PSBM-45215

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-27
- Implement version-release update in yum plugin, see #PSBM-45390

* Fri Mar 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-26
- Switch back virtuozzo repo, see #PSBM-45201

* Thu Mar 17 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-25
- Switch to factory repo, see #PSBM-45198

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-24
- Enable gpg checks

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-23
- Disabled factory repo

* Thu Feb 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-22
- Enable virtuozzo repo, see #PSBM-44382

* Sat Feb 13 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-21
- Create /vz/tmp temp dir, see #PSBM-44043 , #PSBM-44170

* Mon Dec 21 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-20
- Use priority also for debuginfo, see #PSBM-42487

* Thu Dec 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-19
- Release up for Beta3, see #PSBM-42184

* Wed Dec  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-17
- Change gpg key to Virtuozzo 7 one, see #PSBM-42184

* Fri Oct  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-16
- Disable official repos, see #PSBM-39771

* Mon Oct  5 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-15
- Enable factory repo by default, see #PSBM-37921

* Fri Oct  2 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-14
- Remove Cloudlinux repos

* Thu Sep 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-13
- Fixed factory repositories, see #PSBM-39326

* Wed Aug 05 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-12
- Changes in URLs in os-release, see #PSBM-35314
- Added iptables-services to autoenable list, see #PSBM-37779

* Mon Jul 27 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-11
- Disable subscription-manager plugin, see #PSBM-35213

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-10
- Fixed distrover in progress, see #PSBM-35168

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-9
- Fixed mirrorlist links, see #PSBM-35167

* Thu Jul 23 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-8
- Use mirrorlists for virtuozzo repos, see #PSBM-35105

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-6
- Set systemd presets at posttrans, see PSBM-34961

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-5
- Rename virtuozzo preset to the very-first num, see #PSBM-34961
- Mark /etc/virtuozzo-release as ghost, add it creation to post-install
- Remove firewalld.service from posttrans (wrong code)

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-4
- Added vz-motd service to preset, see #PSBM-34873

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-3
- Reworked

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.1-1
- Initial build for 7th version
